---
title: resize
slug: Web/CSS/resize
tags:
  - Basic User Interface
  - CSS
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>resize</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets whether an element is resizable, and if so, in which directions.</p>

<div>{{EmbedInteractiveExample("pages/css/resize.html")}}</div>

<p><code>resize</code> does not apply to the following:</p>

<ul>
 <li>Inline elements</li>
 <li>Block elements for which the {{cssxref("overflow")}} property is set to <code>visible</code></li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
resize: none;
resize: both;
resize: horizontal;
resize: vertical;
resize: block;
resize: inline;

/* Global values */
resize: inherit;
resize: initial;
resize: unset;  </pre>

<p>The <code>resize</code> property is specified as a single keyword value from the list below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>none</code></dt>
 <dd>The element offers no user-controllable method for resizing it.</dd>
 <dt><code>both</code></dt>
 <dd>The element displays a mechanism for allowing the user to resize it, which may be resized both horizontally and vertically.</dd>
 <dt><code>horizontal</code></dt>
 <dd>The element displays a mechanism for allowing the user to resize it in the <em>horizontal</em> direction.</dd>
 <dt><code>vertical</code></dt>
 <dd>The element displays a mechanism for allowing the user to resize it in the <em>vertical</em> direction.</dd>
 <dt><code>block</code> {{experimental_inline}}</dt>
 <dd>The element displays a mechanism for allowing the user to resize it in the <em>block</em> direction (either horizontally or vertically, depending on the {{cssxref("writing-mode")}} and {{cssxref("direction")}} value).</dd>
 <dt><code>inline</code> {{experimental_inline}}</dt>
 <dd>The element displays a mechanism for allowing the user to resize it in the <em>inline</em> direction (either horizontally or vertically, depending on the {{cssxref("writing-mode")}} and {{cssxref("direction")}} value).</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Disabling_resizability_of_textareas">Disabling resizability of textareas</h3>

<p id="CSS">In many browsers, {{HTMLElement("textarea")}} elements are resizable by default. You may override this behavior with the <code>resize</code> property.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;textarea&gt;Type some text here.&lt;/textarea&gt;</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush: css notranslate">textarea {
  resize: none; /* Disables resizability */
}  </pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Disabling_resizability_of_textareas","200","100")}}</p>

<h3 id="Using_resize_with_arbitrary_elements">Using resize with arbitrary elements</h3>

<p>You can use the <code>resize</code> property to make any element resizable. In the example below, a resizable {{HTMLElement("div")}} contains a resizable paragraph ({{HTMLElement("p")}} element).</p>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="resizable"&gt;
  &lt;p class="resizable"&gt;
    This paragraph is resizable in all directions, because
    the CSS `resize` property is set to `both` on this element.
  &lt;/p&gt;
&lt;/div&gt;</pre>

<h4 id="CSS_3">CSS</h4>

<pre class="brush: css notranslate">.resizable {
  resize: both;
  overflow: scroll;
  border: 1px solid black;
}

div {
  height: 300px;
  width: 300px;
}

p {
  height: 200px;
  width: 200px;
}  </pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample("Using_resize_with_arbitrary_elements","450","450")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Basic UI', '#resize', 'resize')}}</td>
   <td>{{Spec2('CSS3 Basic UI')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.resize")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("textarea")}}</li>
</ul>
